Subject: Re: [clue] I-D Action: draft-ietf-clue-datachannel-01.txt

From: "Liuyan (Scarlett)" <[email-masked]>
Date: Wed, 17 Sep 2014 11:18:59 +0000

Hi Christer,

	There is still a typo in the draft-ietf-clue-datachannel-01 and the typo was confirmed by you in the previous e-mail below . 
	Maybe you forgot it.
	By the way, the draft-ietf-mmusic-sctp-sdp-07 says below:

	4.1.1.  sctp-port

       sctp-port-attr   =  "a=sctp-port=" portnumber
       port-number      =  port
	4.1.2.  max-message-size

    sctpmap-attr        =  "a=fmtp:" association-usage [max-message-size]
    max-message-size    =  "max-message-size" EQUALS 1*DIGIT

	8.3.  SDP description for SCTP over DTLS Connection
	m=application 54111 DTLS/SCTP webrtc-datachannel
    a=fmtp:webrtc-datachannel max-message-size=100000
    a=sctp-port 5000

	At least ,I have a question. 
	Do you think that your example in the draft-ietf-clue-datachannel-01 should keep the consistency with the example of draft-ietf-mmusic-sctp-sdp-07 ? 

Best Regards,
Scarlett

> -----Original Message-----
> From: Christer Holmberg [mailto:[email-masked]]
> Sent: Wednesday, May 07, 2014 6:00 PM
> To: Liuyan (Scarlett)
> Cc: [email-masked]
> Subject: RE: [clue] I-D Action: draft-ietf-clue-datachannel-00.txt
> 
> Hi Scarlett,
> 
> Thanks for spotting the typo! :)
> 
> Regards,
> 
> Christer
> 
> -----Original Message-----
> From: Liuyan (Scarlett) [mailto:[email-masked]]
> Sent: 7. toukokuuta 2014 5:41
> To: Christer Holmberg
> Cc: [email-masked]
> Subject: RE: [clue] I-D Action: draft-ietf-clue-datachannel-00.txt
> 
> Hi Christer,
> 
>     I notice that there is a typo in section 5.6 of
> draft-ietf-clue-datachannel-00 below:
> 
>           5.6.  Example
> 
>            m=application 54111 SCTP/DTLS 54111
>            a=sctpmap:54111 webrtc-datachannel
> 
>           Figure 1: SDP Media Description for a CLUE Data Channel
> 
>    As described in section 3 of draft-ietf-mmusic-sctp-sdp-06 below:
> 
>    The 'SCTP/DTLS' protocol identifier indicates that the media
>    described will use the Datagram Transport Layer Security (DTLS)
>    [RFC4347] over SCTP as specified in [RFC6083].
> 
>    The 'DTLS/SCTP' protocol identifier indicates that the media
>    described will use SCTP on top of the Datagram Transport Layer
>    Security (DTLS) protocol as specified in
>    [I-D.tuexen-tsvwg-sctp-dtls-encaps].  The actual layer below DTLS can
>    be plain UDP or what ICE agrees on (in the case ICE is used to
>    negotiate the actual transport flow).  The lower layer used is
>    identified from the elements present inside the m= line block.
> 
>    so it should be reworded below:
> 
>     5.6.  Example
> 
>            m=application 54111 DTLS/SCTP 54111
>            a=sctpmap:54111 webrtc-datachannel
> 
>           Figure 1: SDP Media Description for a CLUE Data Channel
> 
> Best Regards,
> Scarlett
> 
> -----Original Message-----
> From: clue [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: Friday, March 21, 2014 10:11 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [clue] I-D Action: draft-ietf-clue-datachannel-00.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>  This draft is a work item of the ControLling mUltiple streams for
> tElepresence Working Group of the IETF.
> 
>         Title           : CLUE Protocol Data Channel
>         Author          : Christer Holmberg
> 	Filename        : draft-ietf-clue-datachannel-00.txt
> 	Pages           : 12
> 	Date            : 2014-03-20
> 
> Abstract:
>    This document defines how to use the WebRTC Data Channel mechanism,
>    together with the Data Channel Establishment Protocol (DCEP) in order
>    to establish a data channel, referred to as CLUE Data Channel, for
>    transporting CLUE protocol messages between two CLUE entities.
> 
>    The document defines the SCTP considerations specific to a CLUE Data
>    Channel, the SDP offer/answer procedures for negotiating the
>    establishment of, and the DCEP procedures for opening, a CLUE Data
>    Channel.
> 
>    Details and procedures associated with the CLUE protocol are outside
>    the scope of this document.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-clue-datachannel/
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-clue-datachannel-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 17 Sep 2014 18:47:40 +0000

Hi Scarlett,

I apologise that I forgot to fix the typo. I'll do it in the next version :)

I'll also try to keep the examples etc aligned with the sctp-sdp draft.

Thanks for reminding me :)

Regards,

Christer

-----Original Message-----
From: Liuyan (Scarlett) [mailto:[email-masked]] 
Sent: 17 September 2014 14:19
To: Christer Holmberg
Cc: [email-masked]
Subject: RE: [clue] I-D Action: draft-ietf-clue-datachannel-01.txt

Hi Christer,

	4.1.1.  sctp-port

Best Regards,
Scarlett

> Please note that it may take a couple of minutes from the time of 
> submission until the htmlized version and diff are available at tools.ietf.org.
>

---

From: "Liuyan (Scarlett)" <[email-masked]>
Date: Thu, 18 Sep 2014 00:11:52 +0000

Hi Christer,

         OK.

         By the way, there is also a typo in the example of draft-ietf-mmusic-sctp-sdp-07 below.

         8.4.  SDP description for SCTP over DTLS Connection using default values

          c=IN IP4 192.0.2.2

          a=setup:actpass

          a=connection:new

          a=fingerprint:SHA-1 \

            4A:AD:B9:B1:3F:82:18:3B:54:02:12:DF:3E:5D:49:6B:19:E5:7C:AB

                                 Figure 7

   The endpoint at 192.0.2.1 responds with the following description,

   with default value for the sctp-port and max-message-size parameters:

          m=application 62442 DTLS/SCTP webrtc-datachannel

          c=IN IP4 192.0.2.1

          a=setup:actpass=========it should be passive

          a=connection:new

          a=fingerprint:SHA-1 \

            4A:AD:B9:B1:3F:82:18:3B:54:02:12:DF:3E:5D:49:6B:19:E5:7C:AB

                                 Figure 8

         If you refers to the examples, please notice that and thanks.

Best Regards,

Scarlett

> Sent: Thursday, September 18, 2014 2:48 AM

> Cc: [email-masked]<mailto:[email-masked]>

>      There is still a typo in the draft-ietf-clue-datachannel-01 and the typo

> was confirmed by you in the previous e-mail below .

>     sctpmap-attr        =  "a=fmtp:" association-usage

> [max-message-size]

>      Do you think that your example in the draft-ietf-clue-datachannel-01

> should keep the consistency with the example of

> draft-ietf-mmusic-sctp-sdp-07 ?

> > Cc: [email-masked]<mailto:[email-masked]>

> > Cc: [email-masked]<mailto:[email-masked]>

> > [email-masked]<mailto:[email-masked]>

> > To: [email-masked]<mailto:[email-masked]>

> > Cc: [email-masked]<mailto:[email-masked]>

> > A New Internet-Draft is available from the on-line Internet-Drafts

> directories.

> >    This document defines how to use the WebRTC Data Channel

> mechanism,

> > [email-masked]<mailto:[email-masked]>

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 18 Sep 2014 12:52:37 +0000

Hi Scarlett,

I don't think we, in our draft, should fix bugs in other drafts. Instead we should raise the bugs in the appropriate forum (in this case, MMUSIC).

Anyway, I am sitting a few meters from the sctp-sdp draft authors, and I have informed them about this :)

Regards,

Christer

From: Liuyan (Scarlett) [mailto:[email-masked]]
Sent: 18. syyskuuta 2014 3:12
To: Christer Holmberg
Cc: [email-masked]
Subject: RE: [clue] I-D Action: draft-ietf-clue-datachannel-01.txt

Hi Christer,

         OK.

          c=IN IP4 192.0.2.2

          a=setup:actpass

          a=connection:new

          a=fingerprint:SHA-1 \

                                 Figure 7

          c=IN IP4 192.0.2.1

          a=connection:new

          a=fingerprint:SHA-1 \

                                 Figure 8

Best Regards,

Scarlett